Register Guidelines E-Books Search Today's Posts Mark Forums Read

Go Back   MobileRead Forums > E-Book Software > Sigil

Notices

Reply
 
Thread Tools Search this Thread
Old 05-28-2013, 01:38 AM   #1
herbert-h
Junior Member
herbert-h began at the beginning.
 
Posts: 2
Karma: 10
Join Date: May 2013
Device: none
Angry Sigil fails on XP since 0.7

Hello Forum,
I'm running Sigil on XP and like it very much.
Since 0.7 there was a crash soon after startup. So I stayed on 0.6.2 (Qt 4.8.4)
What can be wrong?
Is there is still another XP user out there, were it works?
Help would be appreciated.


Herbert
herbert-h is offline   Reply With Quote
Old 05-28-2013, 02:00 AM   #2
jbacelar
Connoisseur
jbacelar began at the beginning.
 
Posts: 67
Karma: 30
Join Date: Dec 2011
Location: Spain, south coast
Device: PocketBook 622
XP SP-3. Sigil 0.7.2
It works without problems.
Only the issue, already known, of the W3C-CSS validation with Firefox.
jbacelar is offline   Reply With Quote
Old 05-28-2013, 09:44 AM   #3
theducks
Grand Sorcerer
theducks ought to be getting tired of karma fortunes by now.theducks ought to be getting tired of karma fortunes by now.theducks ought to be getting tired of karma fortunes by now.theducks ought to be getting tired of karma fortunes by now.theducks ought to be getting tired of karma fortunes by now.theducks ought to be getting tired of karma fortunes by now.theducks ought to be getting tired of karma fortunes by now.theducks ought to be getting tired of karma fortunes by now.theducks ought to be getting tired of karma fortunes by now.theducks ought to be getting tired of karma fortunes by now.theducks ought to be getting tired of karma fortunes by now.
 
theducks's Avatar
 
Posts: 14,479
Karma: 5567061
Join Date: Aug 2009
Location: The (original) Silicon Valley, USA
Device: Galaxy Tab 2, Astak Pocket Pro, K4NT
Quote:
Originally Posted by herbert-h View Post
Hello Forum,
I'm running Sigil on XP and like it very much.
Since 0.7 there was a crash soon after startup. So I stayed on 0.6.2 (Qt 4.8.4)
What can be wrong?
Is there is still another XP user out there, were it works?
Help would be appreciated.


Herbert
Use 7.2 every day on XP SP3

IIRC You need to remove (lose) your old Sigil.ini
found in:
Code:
C:\Documents and Settings\<logonnamehere>\Local Settings\Application Data\sigil-ebook
Is it possible, that you have a system with a minimal amount of RAM? Everything I have has 1G or more.
theducks is online now   Reply With Quote
Old 05-28-2013, 09:55 AM   #4
PeterT
Taking a break; Fed up
PeterT ought to be getting tired of karma fortunes by now.PeterT ought to be getting tired of karma fortunes by now.PeterT ought to be getting tired of karma fortunes by now.PeterT ought to be getting tired of karma fortunes by now.PeterT ought to be getting tired of karma fortunes by now.PeterT ought to be getting tired of karma fortunes by now.PeterT ought to be getting tired of karma fortunes by now.PeterT ought to be getting tired of karma fortunes by now.PeterT ought to be getting tired of karma fortunes by now.PeterT ought to be getting tired of karma fortunes by now.PeterT ought to be getting tired of karma fortunes by now.
 
PeterT's Avatar
 
Posts: 6,673
Karma: 43802330
Join Date: Nov 2007
Location: Toronto
Device: Wife: Touch, Arc, Vox Me: Nexus 7, Glo
What processor do you have? Sigil now requires your processor to support the SSE2 instruction set.
PeterT is online now   Reply With Quote
Old 06-10-2013, 12:58 AM   #5
herbert-h
Junior Member
herbert-h began at the beginning.
 
Posts: 2
Karma: 10
Join Date: May 2013
Device: none
Hello

Thank you folks, for comming back to my question.
Yes I have XP-SP3 and 2G of Memory It's an AMD Sempron.
I can't say, wether SSE2 instruction set is supported or not, but I think so.
All other Editors and Multimedia Apps work fine.

So I did another installation last week removing the old setup.

* Uninstalled Sigli 0.6.2.0
C:\Documents and Settings\..\sigil-ebook\sigil
contained some ini files and directories w/ dictionaries
* erased everything.

* Installed 0.7.2
* Started it
* Got the well-known message: Sigil is a multi-platform EPUB ebook editor
... has detected a Problem and must be shut down.
The details:
AppVer0.7.2.0
ModName: qt5gui.dll
ModVer 5.0.2.0
Offset 00005600
So I did , what I always did:
* Uninstalled 0.7.X
* Reinstalled 0.6.2.0
Interesting enoufg sometimes uninstalling 0.7.2 causes a fatal error in explorer.exe
This was the case this time. (reboot)

My guess is: QT5 does not work in all dll hells. Or the mfc dlls on my computer are newer as the 2010 version installed with 0.7.2. I'm convinced having VC8 -> 2013.
I could use Linux, but...
Any other idea?

Herbert
herbert-h is offline   Reply With Quote
Old 06-10-2013, 02:52 AM   #6
theducks
Grand Sorcerer
theducks ought to be getting tired of karma fortunes by now.theducks ought to be getting tired of karma fortunes by now.theducks ought to be getting tired of karma fortunes by now.theducks ought to be getting tired of karma fortunes by now.theducks ought to be getting tired of karma fortunes by now.theducks ought to be getting tired of karma fortunes by now.theducks ought to be getting tired of karma fortunes by now.theducks ought to be getting tired of karma fortunes by now.theducks ought to be getting tired of karma fortunes by now.theducks ought to be getting tired of karma fortunes by now.theducks ought to be getting tired of karma fortunes by now.
 
theducks's Avatar
 
Posts: 14,479
Karma: 5567061
Join Date: Aug 2009
Location: The (original) Silicon Valley, USA
Device: Galaxy Tab 2, Astak Pocket Pro, K4NT
you can not use Qt5 dependent products on older AMD (includes Athelon 1900) because the processor does not have SSE2.
You are stuck at V6.x (Qt4)
This affects Linux, since it is a hardware limit.
theducks is online now   Reply With Quote
Reply

Thread Tools Search this Thread
Search this Thread:

Advanced Search

Forum Jump

Similar Threads
Thread Thread Starter Forum Replies Last Post
Sigil fails to start phossler Sigil 12 02-13-2013 07:49 AM
Sigil 0.4.1 : unwanted span added by Sigil Bertrand Sigil 0 09-02-2011 05:28 AM
Sigil 0.3.4 / Sigil 0.4.0 RC1 / Cover in Nook Color Bertrand Sigil 13 08-06-2011 04:06 AM
Sigil 0.3.4 / Problème CSS entre Sigil et iPad Grivels Software 10 07-03-2011 09:06 AM
Calibre epub from recipe fails in Sigil and FBReader on Android siebert Calibre 15 12-04-2010 11:18 AM


All times are GMT -4. The time now is 09:56 PM.


MobileRead.com is a privately owned, operated and funded community.